Lista los tickets de soporte de la empresa que llama
curl --request GET \
--url https://clientapi.woku.app/v1/tickets \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/v1/tickets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/v1/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://clientapi.woku.app/v1/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://clientapi.woku.app/v1/tickets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://clientapi.woku.app/v1/tickets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://clientapi.woku.app/v1/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"_id": "<string>",
"title": "<string>",
"severity": "high",
"origin": {
"tool": "woku",
"refId": "<string>",
"instrumentId": "<string>",
"instrumentName": "<string>",
"trackers": [
{
"trackerId": "<string>",
"name": "<string>",
"value": "<string>",
"label": "<string>"
}
],
"folder": {
"id": "<string>",
"name": "<string>",
"path": "<string>",
"ancestorIds": [
"<string>"
]
}
},
"contentVersion": 1,
"code": "<string>",
"destinationId": "<string>",
"destinationIds": [
"<string>"
],
"followUp": {
"state": "not_applicable",
"conversationId": "<string>",
"reason": "<string>",
"availableSummaryVersion": 123,
"enrichmentState": "processing",
"enrichmentReason": "<string>",
"appliedSummaryVersion": 123,
"enrichedAt": "2023-11-07T05:31:56Z"
},
"score": {
"value": 123,
"max": 123,
"kind": "<string>",
"display": "<string>"
},
"aiSummary": "<string>",
"aiCategory": "<string>",
"caseDescription": "<string>",
"historyHighlights": [
"<string>"
],
"whatCustomerWants": "<string>",
"suggestedResolution": "<string>",
"language": "<string>",
"churnRisk": "<string>",
"criteria": [
"<string>"
],
"historySnapshot": {},
"sentiment": "<string>",
"generatedByAI": true,
"customerComment": {
"text": "<string>",
"isAudio": true,
"audioUrl": "<string>",
"transcription": "<string>"
},
"client": {
"clientId": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"timeline": [
{}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123
}{
"statusCode": 400,
"message": [
"email must be a valid email",
"password must be at least 8 characters"
],
"error": "Bad Request"
}v1 - tickets
Lista los tickets de soporte de la empresa que llama
GET
/
v1
/
tickets
Lista los tickets de soporte de la empresa que llama
curl --request GET \
--url https://clientapi.woku.app/v1/tickets \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/v1/tickets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/v1/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://clientapi.woku.app/v1/tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://clientapi.woku.app/v1/tickets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://clientapi.woku.app/v1/tickets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://clientapi.woku.app/v1/tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"_id": "<string>",
"title": "<string>",
"severity": "high",
"origin": {
"tool": "woku",
"refId": "<string>",
"instrumentId": "<string>",
"instrumentName": "<string>",
"trackers": [
{
"trackerId": "<string>",
"name": "<string>",
"value": "<string>",
"label": "<string>"
}
],
"folder": {
"id": "<string>",
"name": "<string>",
"path": "<string>",
"ancestorIds": [
"<string>"
]
}
},
"contentVersion": 1,
"code": "<string>",
"destinationId": "<string>",
"destinationIds": [
"<string>"
],
"followUp": {
"state": "not_applicable",
"conversationId": "<string>",
"reason": "<string>",
"availableSummaryVersion": 123,
"enrichmentState": "processing",
"enrichmentReason": "<string>",
"appliedSummaryVersion": 123,
"enrichedAt": "2023-11-07T05:31:56Z"
},
"score": {
"value": 123,
"max": 123,
"kind": "<string>",
"display": "<string>"
},
"aiSummary": "<string>",
"aiCategory": "<string>",
"caseDescription": "<string>",
"historyHighlights": [
"<string>"
],
"whatCustomerWants": "<string>",
"suggestedResolution": "<string>",
"language": "<string>",
"churnRisk": "<string>",
"criteria": [
"<string>"
],
"historySnapshot": {},
"sentiment": "<string>",
"generatedByAI": true,
"customerComment": {
"text": "<string>",
"isAudio": true,
"audioUrl": "<string>",
"transcription": "<string>"
},
"client": {
"clientId": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>"
},
"timeline": [
{}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123
}{
"statusCode": 400,
"message": [
"email must be a valid email",
"password must be at least 8 characters"
],
"error": "Bad Request"
}Autorizaciones
Clave API secreta de la empresa.
Parámetros de consulta
Solo tickets originados por esta tool.
Opciones disponibles:
woku, nps, form, csat, ces Opciones disponibles:
high, medium, low Búsqueda de texto libre en title, code, client y comment.
Maximum string length:
200Solo tickets enrutados a este destino de SAC.
Solo los tickets de herramientas dentro de esta carpeta o de sus subcarpetas (la carpeta que guardó el ticket al crearse).
Límite inferior para createdAt (ISO 8601).
Ejemplo:
"2026-01-01T00:00:00.000Z"
Límite superior para createdAt, ISO 8601.
Ejemplo:
"2026-12-31T23:59:59.999Z"
Rango requerido:
x >= 1Rango requerido:
x >= 1